Flecs: Logging
Description: A fast entity component system (ECS) for C & C++

| Flecs v4.1 A fast entity component system (ECS) for C & C++

Loading...
Searching...
No Matches
Logging
C++ API » Addons

Logging functions. More...

Collaboration diagram for Logging:

## Functions
void | flecs::log::set_level (int level)
| Set the log level.
int | flecs::log::get_level ()
| Get the log level.
void | flecs::log::enable_colors (bool enabled=true)
| Enable colors in logging.
void | flecs::log::enable_timestamp (bool enabled=true)
| Enable timestamps in logging.
void | flecs::log::enable_timedelta (bool enabled=true)
| Enable time delta in logging.
void | flecs::log::dbg (const char *fmt,...)
| Debug trace (level 1).
void | flecs::log::trace (const char *fmt,...)
| Trace (level 0).
void | flecs::log::warn (const char *fmt,...)
| Warning (level -2).
void | flecs::log::err (const char *fmt,...)
| Error (level -3).
void | flecs::log::push (const char *fmt,...)
| Trace and increase log indentation.
void | flecs::log::push ()
| Increase log indentation.
void | flecs::log::pop ()
| Decrease log indentation.

## Detailed Description

Logging functions.

## Function Documentation

## ◆ dbg()

void flecs::log::dbg | ( | const char * | fmt,
|  |  | ... )
| inline

Debug trace (level 1).

Parameters

  fmt | The format string.

Definition at line 63 of file log.hpp.

## ◆ enable_colors()

void flecs::log::enable_colors | ( | bool | enabled = true | ) |
| inline

Enable colors in logging.

Parameters

  enabled | Whether to enable colors (default true).

Definition at line 39 of file log.hpp.

## ◆ enable_timedelta()

void flecs::log::enable_timedelta | ( | bool | enabled = true | ) |
| inline

Enable time delta in logging.

Parameters

  enabled | Whether to enable time delta (default true).

Definition at line 55 of file log.hpp.

## ◆ enable_timestamp()

void flecs::log::enable_timestamp | ( | bool | enabled = true | ) |
| inline

Enable timestamps in logging.

Parameters

  enabled | Whether to enable timestamps (default true).

Definition at line 47 of file log.hpp.

## ◆ err()

void flecs::log::err | ( | const char * | fmt,
|  |  | ... )
| inline

Error (level -3).

Parameters

  fmt | The format string.

Definition at line 96 of file log.hpp.

## ◆ get_level()

int flecs::log::get_level | ( |  | ) |
| inline

Get the log level.

Returns
  The current log level.

Definition at line 31 of file log.hpp.

## ◆ pop()

void flecs::log::pop | ( |  | ) |
| inline

Decrease log indentation.

Definition at line 121 of file log.hpp.

## ◆ push() [1/2]

void flecs::log::push | ( |  | ) |
| inline

Increase log indentation.

Definition at line 116 of file log.hpp.

## ◆ push() [2/2]

void flecs::log::push | ( | const char * | fmt,
|  |  | ... )
| inline

Trace and increase log indentation.

Parameters

  fmt | The format string.

Definition at line 107 of file log.hpp.

## ◆ set_level()

void flecs::log::set_level | ( | int | level | ) |
| inline

Set the log level.

Parameters

  level | The log level to set.

Definition at line 23 of file log.hpp.

## ◆ trace()

void flecs::log::trace | ( | const char * | fmt,
|  |  | ... )
| inline

Trace (level 0).

Parameters

  fmt | The format string.

Definition at line 74 of file log.hpp.

## ◆ warn()

void flecs::log::warn | ( | const char * | fmt,
|  |  | ... )
| inline

Warning (level -2).

Parameters

  fmt | The format string.

Definition at line 85 of file log.hpp.